#
#   Copyright (C) 2021 Reiko Asakura. All Rights Reserved.
#
#   Vita Development Suite PSP2 CMake Toolchains 0.1.4
#

list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_LIST_DIR}/Modules)

set(CMAKE_SYSTEM_NAME      PSP2)
set(CMAKE_SYSTEM_VERSION   0x03600000)
set(CMAKE_SYSTEM_PROCESSOR armv7-a)

set(CMAKE_SYSROOT        $ENV{SCE_PSP2_SDK_DIR}/target CACHE PATH "Sysroot path")
set(CMAKE_INSTALL_PREFIX ${CMAKE_SYSROOT}              CACHE PATH "Install path prefix")

set(CMAKE_C_COMPILER   arm-none-eabi-gcc CACHE STRING "C compiler")
set(CMAKE_CXX_COMPILER arm-none-eabi-g++ CACHE STRING "C++ compiler")
set(CMAKE_ASM_COMPILER arm-none-eabi-gcc CACHE STRING "ASM compiler")

set(CMAKE_LINKER arm-none-eabi-ld     CACHE STRING "Linker")
set(CMAKE_AR     arm-none-eabi-ar     CACHE STRING "Archiver")
set(CMAKE_RANLIB arm-none-eabi-ranlib CACHE STRING "Ranlib")
